## org.apache.log4j.pattern
Class DatePatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.DatePatternConverter

    public final class DatePatternConverter

extends LoggingEventPatternConverter

Convert and format the event's date in a StringBuffer.

Author:
  Ceki Gülcü

Method Summary
`void` `format(Date date, StringBuffer toAppendTo)` Append formatted date to string buffer.
`void` `format(LoggingEvent event, StringBuffer output)` Formats an event into a string buffer.
`void` `format(Object obj, StringBuffer output)` Formats an object into a string buffer.
`static DatePatternConverter` `newInstance(String[] options)` Obtains an instance of pattern converter.

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`handlesThrowable`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static DatePatternConverter newInstance(String[] options)

  Obtains an instance of pattern converter.

  Parameters:
    `options` - options, may be null.
  Returns:
    instance of pattern converter.

### format

    public void format(LoggingEvent event,
                       StringBuffer output)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `output` - string buffer to which the formatted event will be appended. May not be null.

### format

    public void format(Object obj,
                       StringBuffer output)

  Formats an object into a string buffer.

  Overrides:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `obj` - event to format, may not be null.
    `output` - string buffer to which the formatted event will be appended. May not be null.

### format

    public void format(Date date,
                       StringBuffer toAppendTo)

  Append formatted date to string buffer.

  Parameters:
    `date` - date
    `toAppendTo` - buffer to which formatted date is appended.

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.